Update of bug #18243 (project freeciv):

                 Summary: map window displayed incorrectly with gtk+ 2.24.5
(and Ubuntu Oneiric's 2.24.6) => map window displayed incorrectly with gtk+
2.24.5 (and Ubuntu's 2.24.6)

    _______________________________________________________

Follow-up Comment #25:

Obvious question is: "Should we put it to our upstream sources also,
affecting users in all platforms for the sake of Ubuntu's own patch to gtk+
and when there's workaround for Ubuntu users to run freeciv?" Problem with
needing that workaround as action of user (and not inside our sourcetree) is
that most users will never find out about it.

I sort of hope that this question gets moot with gtk3-client. It will
probably be client-of-choice for users of new distribution releases that have
gtk3 (even prefered over gtk2) and there's hoping that all the client code
rewriting means that freeciv bug does not make it to gtk3-client.

We still don't know what version of gtk so called gtk3-client will use in
2.4, but regardless, we should closely follow if this bug is present after
each gtk3-client improvement round. If it gets fixed, we may consider making
gtk3/gtk2x -client default client in 2.4, legacy gtk2-client serving only
those who don't have new enough gtk for newer client (but those users are also
not subject to gtk-2.24.5 issue, so everything fits nicely)

    _______________________________________________________

Reply to this item at:

  <http://gna.org/bugs/?18243>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to